Subject: Re: [RFC] ethernet: avoid pre-assigned OUI values in random_ether_addr

From: Stephen Hemminger <[email-masked]>
Date: Mon, 16 May 2011 08:46:44 -0700

On Sun, 15 May 2011 23:10:26 +0200
Eric Dumazet <[email-masked]> wrote:

> Le dimanche 15 mai 2011 à 13:20 -0700, Joe Perches a écrit :
> > On Sun, 2011-05-15 at 21:46 +0200, Eric Dumazet wrote:
> > > Le vendredi 13 mai 2011 à 17:17 -0700, Stephen Hemminger a écrit :
> > > > There are some addresses in the assigned vendor block that don't obey
> > > > the locally assigned convention. These should be avoided by random_ether_addr
> > > > assignment.
> > > We call random_ether_addr() for some virtual devices, maybe we can add a
> > > __random_ether_addr() helper for them and not avoid these OUI ?
> > 
> > Unless it's speed critical, it's probably not worthwhile.
> > 
> 
> Speed was not my concern, but getting idea of why avoiding pre-assigned
> OUI was a concern for them, if they dont hit a real Ethernet domain.

My concern was that after some discussion with IEEE committee that many
virtual environments are using locally assigned addresses that get bridged
onto real networks.

That started me thinking that the current code should be more careful
to avoid potential conflicts. My opinion is that this not worth worrying
about because the likelihood of conflict with any one of these old
addresses is as about as the unlikely as two hosts choosing the same
value. But I wanted to raise the issue for explicit discussion and frame
it with what would be required to handle it.

--